IntValue

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.values
Class IntValue

    java.lang.Object
      net.ctdp.rfdynhud.values.IntValue

    public class IntValue

extends java.lang.Object

This class is a container for runtime values. You can update the value every time, a Widget is redrawn and compare it with the old (previous) value.

Author:
  Marvin Froehlich (CTDP)

Field Summary
`static int` | `DEFAULT_RESET_VALUE`
`static java.lang.String` | `N_A_VALUE`

Constructor Summary
`IntValue()`
`IntValue(int resetValue)`
`IntValue(int resetValue, ValidityTest validityTest, int validityCompareValue)`
`IntValue(ValidityTest validityTest, int validityCompareValue)`

Method Summary
`float` | `getFloatValue()`
`int` | `getOldValue()`
`int` | `getResetValue()`
`ValidityTest` | `getValdidityTest()`
`int` | `getValidityCompareValue()`
`int` | `getValue()`
`java.lang.String` | `getValueAsString()`
`java.lang.String` | `getValueAsStringWithSign()`
`boolean` | `hasChanged()`
`boolean` | `hasChanged(boolean setUnchanged)`
`boolean` | `hasValidityChanged()`
`boolean` | `isValid()`
`IntValue` | `reset()`
`IntValue` | `reset(boolean resetOldValue)`
`void` | `setUnchanged()`
`java.lang.String` | `toString()`
`boolean` | `update(int newValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_RESET_VALUE

    public static final int DEFAULT_RESET_VALUE

See Also:
  Constant Field Values

### N_A_VALUE

    public static final java.lang.String N_A_VALUE

See Also:
  Constant Field Values

Constructor Detail

### IntValue

    public IntValue(int resetValue,
                    ValidityTest validityTest,
                    int validityCompareValue)

### IntValue

    public IntValue(int resetValue)

### IntValue

    public IntValue(ValidityTest validityTest,
                    int validityCompareValue)

### IntValue

    public IntValue()

Method Detail

### getResetValue

    public final int getResetValue()

### getValdidityTest

    public final ValidityTest getValdidityTest()

### getValidityCompareValue

    public final int getValidityCompareValue()

### getOldValue

    public final int getOldValue()

### getValue

    public final int getValue()

### getFloatValue

    public final float getFloatValue()

### hasChanged

    public final boolean hasChanged(boolean setUnchanged)

### hasChanged

    public final boolean hasChanged()

### update

    public final boolean update(int newValue)

### setUnchanged

    public final void setUnchanged()

### reset

    public final IntValue reset(boolean resetOldValue)

### reset

    public final IntValue reset()

### isValid

    public final boolean isValid()

### hasValidityChanged

    public final boolean hasValidityChanged()

### getValueAsStringWithSign

    public final java.lang.String getValueAsStringWithSign()

### getValueAsString

    public final java.lang.String getValueAsString()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD